aptosid.com

Upgrade Warnings - [SOLVED] Xorg REMOVALS

seasons - 01.05.2011, 16:14
Post subject: [SOLVED] Xorg REMOVALS
On 64-bit, some xserver 1.10 packages are in unstable, but d-u wants to remove some input and video drivers that haven't had dependencies updated.
etorix - 01.05.2011, 17:55
Post subject: RE: xserver 1.10 coming in (breaks stuff)
yup, on 64-bit:
      Code:

The following packages will be REMOVED:
  xserver-xorg xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse
  xserver-xorg-video-vesa


best hold off till the matching pkgs are uploaded

UPDATE: in latest sync [64-bit]
      Code:

 xserver-common xserver-xorg-core xserver-xorg-dev xserver-xorg-input-evdev xserver-xorg-input-kbd
  xserver-xorg-input-mouse xserver-xorg-video-vesa


if they all work ok, seems fixed
rick1053 - 01.05.2011, 18:21
Post subject: RE: xserver 1.10 coming in (breaks stuff)
confirm the same for 32-bit removes almost all of Xserver-xorg-*.
Waiting for a little while uploads are resolved.
Bod - 01.05.2011, 19:08
Post subject: Re: RE: xserver 1.10 coming in (breaks stuff)
      rick1053 wrote:
confirm the same for 32-bit removes almost all of Xserver-xorg-*.
Waiting for a little while uploads are resolved.

Confirm 32-bit. The following packages will be REMOVED:

xserver-xorg xserver-xorg-input-all xserver-xorg-input-evdev
xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-video-ati
xserver-xorg-video-fbdev xserver-xorg-video-mach64 xserver-xorg-video-r128
xserver-xorg-video-radeon xserver-xorg-video-vesa
etorix - 01.05.2011, 20:09
Post subject: Xorg removals
      Code:

The following packages will be REMOVED:
  xserver-xorg xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse
  xserver-xorg-video-vesa


best hold off on updating Xorg till this is resolved
etorix - 01.05.2011, 20:16
Post subject: RE: Re: RE: xserver 1.10 coming in (breaks stuff)
Moved ??

by Who?

this is NOT a 'software issue'

it merits WARNING
blackhole - 01.05.2011, 20:18
Post subject: RE: Xorg removals
I don't understand why the other thread has been moved to software! This is a very important upgrade warning.
etorix - 01.05.2011, 20:22
Post subject: RE: Xorg removals
quite
x-un-i - 01.05.2011, 20:38
Post subject: RE: Xorg removals
threads merged
piper - 01.05.2011, 20:39
Post subject: RE: Xorg removals
not sure by who, (moved) but agree it merits warning, and should be in Upgrade Warnings

32bit

      Code:
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  virtualbox-ose-guest-x11 xserver-xorg xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128
  xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo
The following packages will be upgraded:
  cvs iso-codes kaffeine libaa1 libgpod4-nogtk libpam-modules libpam-runtime libpam0g libsvn-perl libsvn1 python-cups subversion
  xserver-common xserver-xorg-core
14 upgraded, 0 newly installed, 37 to remove and 0 not upgraded.
Need to get 13.5 MB of archives.
After this operation, 13.5 MB disk space will be freed.
Do you want to continue [Y/n]?

Carnophage - 01.05.2011, 21:51
Post subject: RE: Xorg removals
@amd64, no removals after recent apt-get update
      Code:
xserver-common/sid upgradeable from 2:1.9.5-1 to 2:1.10.1-2
xserver-xorg-core/sid upgradeable from 2:1.9.5-1 to 2:1.10.1-2
xserver-xorg-input-evdev/sid upgradeable from 1:2.6.0-2 to 1:2.6.0-2+b1
xserver-xorg-input-mouse/sid upgradeable from 1:1.7.0-2 to 1:1.7.0-2+b1
xserver-xorg-input-synaptics/sid upgradeable from 1.4.0-1 to 1.4.0-1+b1
xserver-xorg-video-nouveau/sid upgradeable from 1:0.0.16+git20110411+8378443-1 to 1:0.0.16+git20110411+8378443-1+b1
xserver-xorg-video-vesa/sid upgradeable from 1:2.3.0-5 to 1:2.3.0-5+b1

etorix - 01.05.2011, 22:21
Post subject: RE: Xorg removals
UPDATE: in latest sync [64-bit]
      Code:

 xserver-common xserver-xorg-core xserver-xorg-dev xserver-xorg-input-evdev xserver-xorg-input-kbd
  xserver-xorg-input-mouse xserver-xorg-video-vesa


if they all work ok, seems fixed
dibl - 01.05.2011, 22:34
Post subject:
Look OK on US mirrors:

      Code:
The following packages will be REMOVED:
  xserver-xorg-input-wacom xserver-xorg-video-ati xserver-xorg-video-mach64
The following packages will be upgraded:
  binutils cpp g++ gcc gtk2-engines-qtcurve iso-codes kaffeine kde-style-qtcurve kwin-style-qtcurve
  libaa1 libc-bin libc-dev-bin libc6 libc6-dev libc6-i386 libgpod-common libgpod4-nogtk libpam-modules
  libpam-runtime libpam0g locales python-cups qtcurve xserver-common xserver-xorg-core
  xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-intel
  xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo
54 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
Need to get 34.2 MB of archives.
After this operation, 524 kB of additional disk space will be used.
Do you want to continue [Y/n]?

DeepDayze - 01.05.2011, 22:44
Post subject:
just a few removals for drivers I do not use so I just let them go
snvv - 01.05.2011, 23:06
Post subject:
Hello
Just now in 64 bit:

      Code:
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
 [b] xserver-xorg-input-wacom xserver-xorg-video-ati xserver-xorg-video-mach64[/b]
The following packages have been kept back:
  gstreamer0.10-ffmpeg libgcj-bc libudev0 **removed** udev
The following packages will be upgraded:
  binutils gtk2-engines-qtcurve install-usb-gui iso-codes kaffeine kde-style-qtcurve kile libaa1 libc-bin libc-dev-bin libc6 libc6-dev libc6-i386 libgpgme11 libgpod4-nogtk libpam-modules libpam-runtime
  libpam0g locales mathematica-fonts ttf-mathematica4.1 xserver-common xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
  xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-intel xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge
  xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa
  xserver-xorg-video-vmware xserver-xorg-video-voodoo
52 upgraded, 0 newly installed, 3 to remove and 5 not upgraded.
Need to get 0 B/36.1 MB of archives.
After this operation, 1,212 kB disk space will be freed.
Do you want to continue [Y/n]?

DeepDayze - 01.05.2011, 23:07
Post subject:
@snvv, same here on 64 bits as I don't use those drivers on this machine I just let them go
GdV87 - 02.05.2011, 00:04
Post subject:
I've aptosid 64 bit. The problem above seemed fixed to me (apt-get would not remove anything) so I've just d-u: I was wrong and now I can not start Xserver. Is there a method to (temporarily) fix my machine?

GdV87
mheyes - 02.05.2011, 00:06
Post subject:
There's more to it here. 64-bit. Sorry, don't know how to make a fancy code box Sad

      Code:
Calculating upgrade... Done
The following packages will be REMOVED:
  fglrx-control fglrx-driver fglrx-glx fglrx-glx-ia32 xserver-xorg-input-wacom
  xserver-xorg-video-ati xserver-xorg-video-mach64
The following packages have been kept back:
  libsdl1.2debian python-cairo python-gconf python-glade2 python-gnome2
  python-gobject python-gtk2 python-pyorbit
The following packages will be upgraded:
  binutils iso-codes libaa1 libc-bin libc-dev-bin libc6 libc6-dev libc6-i386
  libgpgme11 libgpod-common libgpod4 libpam-modules libpam-runtime libpam0g
  locales locales-all xserver-common xserver-xephyr xserver-xorg-core
  xserver-xorg-input-evdev xserver-xorg-input-synaptics xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-cirrus
  xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-intel
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware
  xserver-xorg-video-voodoo
47 upgraded, 0 newly installed, 7 to remove and 8 not upgraded.


edited by piper (codebox)
merlyn - 02.05.2011, 01:21
Post subject:
      mheyes wrote:
There's more to it here. 64-bit. Sorry, don't know how to make a fancy code box Sad


A helpful tip for you.

If you reply to a post using either the "post reply" or "quote" buttons you will be presented with a 'feature complete' means of replying.

This provides a selection of 'smileys' and formatting options, including the 'code box function', 'insert a URL', and a number of others.

These options are not readily presented via the "quick response" method, unless you choose to 'preview' your post before submitting it.

Hope that helps.

Cheers.
snvv - 02.05.2011, 02:43
Post subject:
      DeepDayze wrote:
@snvv, same here on 64 bits as I don't use those drivers on this machine I just let them go


I have an ATI card that should work with radeon. Is it ok to let xserver-xorg-video-ati go?
DeepDayze - 02.05.2011, 02:46
Post subject:
      snvv wrote:
      DeepDayze wrote:
@snvv, same here on 64 bits as I don't use those drivers on this machine I just let them go


I have an ATI card that should work with radeon. Is it ok to let xserver-xorg-video-ati go?


yea you can let that one go. The Radeon driver is what you really need as the ATI one is for the older cards
wiarus_old - 02.05.2011, 07:26
Post subject:
Here 32-bit system with some added packages (73 to remove, PL mirrors, today morning):


      Code:

The following packages will be REMOVED:
  apt-show-versions aspell ceni debconf-i18n dictionaries-common findimagedupes frozen-bubble hpijs hplip hplip-cups hplip-gui hyphen-de
  hyphen-en-us hyphen-pl icoutils ipolish irssi ispell libapt-pkg-perl libaudio-scrobbler-perl libcairo-perl libcurses-perl libcurses-ui-perl
  libevent-perl libexpect-perl libglib-perl libgraphics-magick-perl libgtk2-gladexml-perl libgtk2-perl libhpmud0 libhtml-parser-perl
  libhtml-tree-perl libhttp-cookies-perl libhttp-message-perl libhttp-negotiate-perl libio-pty-perl liblocale-gettext-perl libpango-perl libperl5.10
  libproc-processtable-perl libpurple0 libsane-hpaio libsdl-perl libsnmp15 libterm-readkey-perl libtext-charwidth-perl libtext-iconv-perl
  libtext-wrapi18n-perl libwww-perl libxml-parser-perl libxml-twig-perl module-assistant myspell-de-de myspell-en-us myspell-pl
  openoffice.org-hyphenation-de openoffice.org-hyphenation-en-us openoffice.org-hyphenation-pl pidgin pidgin-plugin-pack qemu-launcher qemuctl
  qutecom rosegarden sidux-hermes sidux-hermes-gtk2 siduxcc siduxcc-common xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
  xserver-xorg-video-geode xserver-xorg-video-mach64

Following NEW packages will be INSTALLED:
  cpp-4.6 g++-4.6 gcc-4.6 libatkmm-1.6-1 libboost-serialization1.46.1 libboost-signals1.46.1 libboost-thread1.46.1 libepsilon0 libstdc++6-4.6-dev
  linux-headers-2.6.38-4.slh.6-aptosid-686 linux-image-2.6.38-4.slh.6-aptosid-686

The following packages will be upgraded:
  akonadi-server apt-conf-aptosid aptosid-archive-keyring aptosid-art-kde aptosid-art-kde-keres aptosid-art-kdm-keres aptosid-art-ksplash-keres
  aptosid-art-wallpaper aptosid-art-wallpaper-keres aptosid-manual-common aptosid-manual-de aptosid-manual-en aptosid-scripts aptosid-settings-kde
  binutils configure-cups cpp cpp-4.5 cups-pdf dbus dbus-x11 debconf debconf-utils debhelper distro-defaults espeak-data exif fll-iso2usb
  fll-live-utils fluxbox fotowall g++ g++-4.5 gcc gcc-4.5 gcc-4.5-base gcc-4.6-base gdal-bin gfxboot-theme-aptosid
  gfxboot-themes-aptosid-2010-02-keres-core glib-networking google-chrome-beta gtk2-engines-qtcurve guile-1.8-libs iceweasel infobash
  install-usb-gui iso-codes k9copy kaffeine kde-style-qtcurve kdenlive-data kdepimlibs-kio-plugins kdepimlibs5 kernel-remover kexec-tools kid3
  libaa1 libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libakonadiprivate1 libavahi-client3
  libavahi-common-data libavahi-common3 libavahi-compat-libdnssd1 libavahi-glib1 libbluray0 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686
  libcap-ng0 libcddb2 libdbus-1-3 libespeak1 libexif12 libgcc1 libgdal1-1.7.0 libgeoip1 libgfortran3 libgomp1 libgpgme++2 libgpgme11 libgphoto2-2
  libgphoto2-port0 libgpod4 libgstreamer0.10-0 libgtkmm-2.4-1c2a libkabc4 libkarma0 libkblog4 libkcal4 libkholidays4 libkimap4 libkldap4 libkmime4
  libkontactinterface4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkresources4 libktnef4 libkxmlrpcclient4 libmailtransport4 libmicroblog4
  libmimic0 libmodplug1 libmozjs-dev libmozjs2d libmpfr4 libmtp8 liborc-0.4-0 libpam-modules libpam-runtime libpam0g libpcap0.8 libpixman-1-0
  libpython3.2 libqgpgme1 libquadmath0 libslang2 libspeechd2 libstdc++6 libstdc++6-4.5-dev libsvn1 libsyndication4 libwebkit-1.0-2
  libwebkit-1.0-common libwpd-0.9-9 libxfixes3 libxmu6 libxmuu1 libzbar0 linux-headers-2.6-aptosid-686 linux-image-2.6-aptosid-686 locales
  locales-all perl perl-base perl-modules python-cups python3.2 python3.2-minimal qemu qemu-keymaps qemu-system qemu-user qemu-utils qjackctl
  qutecom-data ruby **removed** **removed**-translations speech-dispatcher squashfs-tools udev-config-aptosid wget xserver-common xserver-xorg-core
  xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
  xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-dummy xserver-xorg-video-fbdev
  xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition             
  xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis                 
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa                       
  xserver-xorg-video-vmware xserver-xorg-video-voodoo xulrunner-1.9.1                                                                                 
197 upgraded, 11 new installed, 73 to remove i 0 not upgraded. 

blackhole - 02.05.2011, 07:39
Post subject:
I have similar results. Ceni to be removed...
domicius - 02.05.2011, 08:25
Post subject:
      wiarus_old wrote:
Here 32-bit system with some added packages (73 to remove, PL mirrors, today morning): ...


Same here but that's caused by the update of perl. If I hold perl, d-u still wants to remove just xserver-xorg-video-ati and xserver-xorg-video-mach64.
GdV87 - 02.05.2011, 08:37
Post subject:
Today I was able to install xserver-xorg again (differently from yesterday). So now my machine is working flawlessly.
GdV87
kenyee - 02.05.2011, 12:09
Post subject:
looks like it'll take out perl and mythtv and mysql on 64-bit right now...I think I'll hold off Wink
muchan - 02.05.2011, 12:53
Post subject:
perl problem is another problem. please don't mix the threads.
http://aptosid.com/index.php?name=PNphp ... amp;t=1222
piper - 02.05.2011, 23:06
Post subject:
newest du on 32 bit

      Code:
Calculating upgrade... Done
The following packages will be REMOVED:
  aptosid-irc aspell bum ceni debconf-i18n dictionaries-common dmakms hpijs hplip-cups irssi libcairo-perl libcrypt-ssleay-perl
  libcurses-perl libcurses-ui-perl libdate-manip-perl libdatetime-format-strptime-perl libdatetime-locale-perl libdatetime-perl
  libdatetime-timezone-perl libdbd-mysql-perl libdbi-perl libexpect-perl libfcgi-perl libfile-libmagic-perl libglib-perl
  libgtk2-perl libhpmud0 libhtml-parser-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-message-perl
  libhttp-negotiate-perl libio-pty-perl libio-socket-ssl-perl liblist-moreutils-perl liblocale-gettext-perl libnet-ssleay-perl
  libossp-uuid-perl libpango-perl libparams-validate-perl libperl5.10 libsane-hpaio libsnmp15 libsoap-lite-perl libsvn-perl
  libterm-readkey-perl libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libwww-perl libxml-libxml-perl
  libxml-parser-perl libxml-simple-perl libyaml-syck-perl module-assistant mysql-client-5.1 mysql-server mysql-server-5.1
  mythmusic mythnetvision mythtv mythtv-backend mythtv-common mythtv-database mythtv-frontend mythtv-themes mythvideo mythweather
  svn-buildpackage sysv-rc-conf virtualbox-ose-guest-x11 xserver-xorg-video-all xserver-xorg-video-ati xserver-xorg-video-mach64
The following NEW packages will be installed:
  linux-headers-2.6.38-5.slh.1-aptosid-686 linux-image-2.6.38-5.slh.1-aptosid-686 weechat-core weechat-curses
The following packages will be upgraded:
  cvs gtk2-engines-qtcurve iso-codes k3b k3b-data kaffeine kde-style-qtcurve kdepimlibs-kio-plugins kwin-style-qtcurve libaa1
  libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686 libdb4.7
  libdb4.8 libftdi1 libgl1-mesa-dev libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa libgpgme11 libgpod4-nogtk libieee1284-3 libk3b6
  libk3b6-extracodecs libkabc4 libkcal4 libkholidays4 libkimap4 libkldap4 libkmime4 libkpimutils4 libkresources4 liblcms1
  libmailtransport4 libmicroblog4 libpam-modules libpam-runtime libpam0g libqt4-dbus libqt4-designer libqt4-network libqt4-opengl
  libqt4-qt3support libqt4-script libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-webkit libqt4-xml libqtcore4
  libqtgui4 libsvn1 libsyndication4 linux-headers-2.6-aptosid-686 linux-image-2.6-aptosid-686 locales mesa-common-dev perl
  perl-base perl-modules python-cups qtcurve subversion xserver-common xserver-xorg-core xserver-xorg-input-evdev
  xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-i740
  xserver-xorg-video-intel xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-nouveau
  xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng
  xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo
104 upgraded, 4 newly installed, 75 to remove and 0 not upgraded.
Need to get 130 MB of archives.
After this operation, 35.3 MB disk space will be freed.
Do you want to continue [Y/n]?


I will wait, cannot lose my mythtv Wink
devil - 02.05.2011, 23:47
Post subject:
      Quote:

perl problem is another problem. please don't mix the threads.

perl problem is not even a problem, but a long planned transition.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619117

greetz
devil
Bod - 04.05.2011, 16:23
Post subject:
With ati card apt-get dist-upgrade is ok!
Problem solved?
dpdt1 - 05.05.2011, 16:08
Post subject:
upgraded this morning 64bit, rebooted & everything is normal.
with an intel video card.

      Code:
2011-05-05 06:54:01 status installed xserver-common 2:1.10.1-2
2011-05-05 06:54:01 status installed xserver-xephyr 2:1.10.1-2
2011-05-05 06:54:01 status installed xserver-xorg-core 2:1.10.1-2
2011-05-05 06:54:01 status installed xserver-xorg-video-vesa 1:2.3.0-5+b1
2011-05-05 06:54:02 status installed xserver-xorg-video-intel 2:2.15.0-1+b1
2011-05-05 06:54:02 status installed xserver-xorg-video-fbdev 1:0.4.2-4+b1
2011-05-05 06:54:02 status installed xserver-xorg-input-evdev 1:2.6.0-2+b1
2011-05-05 06:54:02 status installed xserver-xorg-input-wacom 0.10.10+20110203-1+b1
2011-05-05 06:54:02 status installed xserver-xorg-input-synaptics 1.4.0-1+b1

kenyee - 07.05.2011, 12:10
Post subject:
Still wants to remove video-all and video-intel on 64-bit:

The following packages will be REMOVED:
ksim libperl5.10 libsnmp15 perl-suid vim-gtk
xserver-xorg-video-all xserver-xorg-video-intel

libsnmp and vim-gtk are important too.
nekosilvertail - 07.05.2011, 13:14
Post subject:
Got some dependencies-problems here with Xorg, with virtualbox-ose-guest-x11 - if installed - cant d-u because it would break xserver-xorg-core. deinstalled virtualbox-ose-guest-x11 , d-u works again?

but: it removes xserver-xorg-video-intel xserver-xorg-video-nv

i'm gonna give it a try.
gutterslob - 07.05.2011, 14:15
Post subject:
Still unsure if I should carry out this upgrade yet.

      Code:
The following packages will be REMOVED:
  hpijs hpijs-ppds hplip hplip-cups libhpmud0 libperl5.10 libsane-hpaio libsnmp15 rxvt-unicode-256color virtualbox-ose-guest-x11
The following NEW packages will be installed:
  libgd2-noxpm libperl5.12 linux-headers-2.6.38-5.slh.3-aptosid-686 linux-image-2.6.38-5.slh.3-aptosid-686
The following packages will be upgraded:
  alsa-utils aptosid-settings-xfce binutils cpp cpp-4.4 debconf debconf-i18n debconf-utils dictionaries-common dpkg dpkg-dev elinks g++ g++-4.4 gcc gcc-4.4 gcc-4.4-base gir1.2-glib-2.0 gnumeric iceweasel install-usb-gui irssi iso-codes
  libaa1 libaudio2 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686 libcurses-perl libdb4.7 libdb4.8 libdbi-perl libdjvulibre-text libdjvulibre21 libdpkg-perl libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa libgpgme11
  libgphoto2-2 libgphoto2-port0 libgraphicsmagick3 libgtop2-7 libgtop2-common libhtml-parser-perl libieee1284-3 libio-pty-perl libjte1 liblcms1 libldap-2.4-2 liblocale-gettext-perl libmozjs2d libmpfr4 liborc-0.4-0 libpam-modules
  libpam-runtime libpam0g libpcap0.8 librrd4 libruby1.9.1 libselinux1 libstdc++6-4.4-dev libsvga1 libterm-readkey-perl libtext-charwidth-perl libtext-iconv-perl libupower-glib1 libvte9 libwpd-0.9-9 libwps-0.2-2 libxfixes3
  libxml-parser-perl linux-headers-2.6-aptosid-686 linux-image-2.6-aptosid-686 linux-sound-base locales perl perl-base perl-modules python-cups python-gobject python-vte vim vim-common weechat-core weechat-curses weechat-plugins
  x11-utils xchat xfce4-xkb-plugin xserver-common xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo xulrunner-1.9.1
127 upgraded, 4 newly installed, 10 to remove and 0 not upgraded.
Need to get 146 MB of archives.
After this operation, 127 MB of additional disk space will be used.
Do you want to continue [Y/n]?

Kind of puzzled on why it wants to remove my terminal emulator (rxvt-unicode-256color), especially when it doesn't offer up a replacement version .... weird.
hunkirdowne - 07.05.2011, 16:17
Post subject: When will we know, exactly?
      gutterslob wrote:
Still unsure if I should carry out this upgrade yet.


Likewise.

It is 20110507-111213CDT-0500 local time and how will we know when REMOVES are removed per the "front page" -- by du? The answer 'twernt clear.

I've placed packages on hold...
      Quote:
libdbus-1-3 hold
perl-base hold
xserver-common hold
xserver-xorg-core hold
...and did a sim du with the following results.

      Code:

The following NEW packages will be installed:
  cpp-4.6 g++-4.6 gcc-4.6 libboost-program-options1.46.1 libgd2-noxpm
  libstdc++6-4.6-dev libxcb-util0 linux-headers-2.6.38-5.slh.3-aptosid-686
  linux-image-2.6.38-5.slh.3-aptosid-686
The following packages have been kept back:
  iceweasel iceweasel-dbg irssi libcurses-perl libdbus-1-3 libio-pty-perl
  liblocale-gettext-perl libmozjs4d libsnmp15 libterm-readkey-perl
  libtext-charwidth-perl libtext-iconv-perl perl perl-base perl-modules
  xserver-common xserver-xorg-core xserver-xorg-input-evdev
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128
  xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-openchrome xserver-xorg-video-r128
  xserver-xorg-video-radeon xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware
  xserver-xorg-video-voodoo
The following packages will be upgraded:
  akonadi-server alsa-base alsa-utils binutils cpp cpp-4.4 debconf
  debconf-i18n debconf-utils dictionaries-common dpkg dpkg-dev e2fslibs
  e2fsprogs elinks-lite g++ g++-4.4 gcc gcc-4.4 gcc-4.4-base geoip-bin
  geoip-database gir1.2-glib-2.0 install-usb-gui iso-codes k3b k3b-data
  kaffeine kdelibs-bin kdelibs5-data kdelibs5-plugins kdepimlibs-kio-plugins
  kdoctools libaa1 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4
  libakonadi-kmime4 libakonadiprivate1 libaudio2 libavahi-client3
  libavahi-common-data libavahi-common3 libavcodec52 libavformat52 libavutil50
  libboost-program-options1.42.0 libc-bin libc-dev-bin libc6 libc6-dev
  libc6-i686 libcomerr2 libdb4.7 libdb4.8 libdpkg-perl libegl1-mesa libgeoip1
  libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa
  libgphoto2-2 libgphoto2-port0 libgraphicsmagick3 libieee1284-3 libk3b6
  libk3b6-extracodecs libkabc4 libkcal4 libkde3support4 libkdecore5 libkdesu5
  libkdeui5 libkdnssd4 libkfile4 libkholidays4 libkhtml5 libkimap4 libkio5
  libkjsapi4 libkjsembed4 libkldap4 libkmediaplayer4 libkmime4 libknewstuff2-4
  libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkpimutils4
  libkpty4 libkresources4 libkrosscore4 libktexteditor4 libkunitconversion4
  libkutils4 liblcms1 libldap-2.4-2 libmailtransport4 libmicroblog4 libmozjs2d
  libmozjs2d-dbg libmpfr4 libnepomuk4 libnepomukquery4a libopenraw1
  liborc-0.4-0 libpam-modules libpam-runtime libpam0g libpcap0.8 libpixman-1-0
  libplasma3 libpostproc51 libqt4-dbus libqt4-designer libqt4-network
  libqt4-opengl libqt4-qt3support libqt4-script libqt4-sql libqt4-sql-mysql
  libqt4-sql-sqlite libqt4-svg libqt4-webkit libqt4-xml libqt4-xmlpatterns
  libqtcore4 libqtgui4 libreoffice-base libreoffice-base-core libreoffice-calc
  libreoffice-common libreoffice-core libreoffice-dbg libreoffice-draw
  libreoffice-emailmerge libreoffice-filter-binfilter libreoffice-impress
  libreoffice-java-common libreoffice-kde libreoffice-math
  libreoffice-style-galaxy libreoffice-style-oxygen libreoffice-writer
  libselinux1 libsnmp-base libsolid4 libss2 libstdc++6-4.4-dev libsvga1
  libsyndication4 libthreadweaver4 libwebkit-1.0-2 libwebkit-1.0-common
  libwpd-0.9-9 libwps-0.2-2 libxcb-render-util0 libxfixes3
  linux-headers-2.6-aptosid-686 linux-image-2.6-aptosid-686 linux-sound-base
  locales python-gobject python-uno python-urwid sun-java6-bin sun-java6-jre
  sun-java6-plugin ttf-lyx ttf-opensymbol uno-libs3 uno-libs3-dbg ure ure-dbg
  vim vim-common x11-utils xulrunner-1.9.1 xulrunner-1.9.1-dbg
181 upgraded, 9 newly installed, 0 to remove and 50 not upgraded.



This differs considerably from when I did a sim du prior to marking the packages hold.

--Thanks!
Luis_P - 07.05.2011, 18:51
Post subject:
Dist-upgraded five minutes ago and all was right. The messages were:

      Code:
The following packages will be REMOVED:
  libperl5.10 virtualbox-ose-guest-x11 xserver-xorg-video-nv
The following NEW packages will be installed:
  libboost-filesystem1.46.1 libboost-iostreams1.46.1 libboost-regex1.46.1
  libboost-system1.46.1 libboost-thread1.46.1 libgd2-noxpm libircclient1
  libperl5.12 libtinyxml2.5.3 libxcb-util0
  linux-headers-2.6.38-5.slh.3-aptosid-amd64
  linux-image-2.6.38-5.slh.3-aptosid-amd64
The following packages will be upgraded:
  alsa-base alsa-utils aptosid-settings-xfce binutils bridg...


The removed ones were not important for me, because I do not use nVidia card, nor virtualbox.

My system is AMD64.

Best regards.

Luis_P
gutterslob - 08.05.2011, 08:15
Post subject:
Just completed a dist-upgrade and everything seems to be running normally.
Only packages removed were libperl5.10 (which was replaced with 5.l2) & virtualbox-ose-guest-x11.
hunkirdowne - 08.05.2011, 16:42
Post subject:
      Luis_P wrote:
Dist-upgraded five minutes ago and all was right. The messages were:
      Code:
The following packages will be REMOVED:
  libperl5.10 virtualbox-ose-guest-x11 xserver-xorg-video-nv
<snipped by HD>
The removed ones were not important for me, because I do not use nVidia card, nor virtualbox.

I *do* use an nVidia card and xserver-xorg-video-nv was removed from my system 3/21. Don't really know the story here because even though I'm not on that box right now Xorg seems to work just fine. Perhaps tonight when things settle down I'll do a d-u and see how she goes. But I'd still like to understand more about how my video is behaving.

I have another box with aptosid, but it doesn't have an nVidia card (Radeon). Maybe I'll try my d-u there first since that is my official experimental box.

Thanks for the post!
Resetter - 09.05.2011, 06:55
Post subject:
Hi!

Installed aptosid 2011-1 yesterday on my new laptop - wanted to upgrade today (since there are problems with python-matplotlib that I hope will be solved in any way Wink) - but I get something like this:

(sry german, I'll translate the most important things)
      Code:
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 virtualbox-ose-guest-x11 : Hängt ab von: xorg-video-abi-6.0
                            Hängt ab von: xorg-input-abi-7.0
                            Hängt ab von: virtualbox-ose-guest-utils (= 4.0.2-dfsg-1) aber 4.0.4-dfsg-1+b1 soll installiert werden
 xserver-xorg-core : Beschädigt: xserver-xorg-input-7
                     Beschädigt: xserver-xorg-video-6
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.

Its:
Following packages have unresolved dependencies:
vbox... depends on
depends on
depends on
ose-guest ... bust 4.04-.... shall be installed

sry, I'm not very experienced yet Wink
thank you
towo - 09.05.2011, 07:39
Post subject:
You don't need virtualbox-ose-guest-x11 on a real install-
This package is for systems, running as virtual machine.
Resetter - 09.05.2011, 11:41
Post subject:
so I can just remove it? (sry, 'm not quite informed Wink)
All times are GMT - 12 Hours
Powered by PNphpBB2 © 2003-2010 The Zafenio Group
Credits